Get deployment procedure execution
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/deploymentProcedureInstances/{deploymentProcedureInstanceId}/executions/{executionId}
Get deployment procedure execution.
Request
Path Parameters
-
deploymentProcedureInstanceId(required): string
Id of an Instance.
-
executionId(required): string
Id of an Execution.
Query Parameters
-
include: string
if include=runtimeData, information about runtime data is included in the response
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Execution returned successfully
Root Schema : Execution
Type:
objectIt represents an execution
Match All
It represents an execution
Show Source
-
object
ExecutionDetails
It represents an execution.
Nested Schema : ExecutionDetails
Type:
objectIt represents an execution.
Show Source
-
id: string
Unique identifier for an executionExample:
CDAAE80FDD3D7987E053E00F4B64DEBB -
links: object
links
the Execution related links
-
name: string
Name of of an instanceExample:
hostcmd-executiontest -
runtimeData: object
runtimeData
Execution run time data
-
status: string
Represents status of an executionExample:
COMPLETED
Nested Schema : runtimeData
Type:
objectExecution run time data
Match All
Execution run time data
Show Source
-
object
allOf
InstanceData
This is the representation of instance submission data.
Nested Schema : InstanceData
Type:
objectThis is the representation of instance submission data.
Match All
This is the representation of instance submission data.
This is the representation of instance submission data.
Show Source
-
array
DeploymentProcedureTargetList
Defining list of procedure targets
-
object
DeploymentProcedureVariableCollection
Collections of Procedure Variable
Nested Schema : DeploymentProcedureTargetList
Type:
arrayDefining list of procedure targets
Show Source
Nested Schema : DeploymentProcedureVariableCollection
Type:
objectCollections of Procedure Variable
Show Source
-
items: array
items
The list of procedure variables
Nested Schema : items
Type:
Show Source
object-
name: string
name of target typeExample:
host -
targets: object
DeploymentProcedureTargetCollection
Collections of Procedure Target
Nested Schema : DeploymentProcedureTargetCollection
Type:
objectCollections of Procedure Target
Show Source
-
items: array
items
The list of targets
Nested Schema : items
Type:
arrayThe list of targets
Show Source
-
Array of:
object DeploymentProcedureTargetSummary
This is the representation of Procedure Target
Nested Schema : DeploymentProcedureTargetSummary
Type:
objectThis is the representation of Procedure Target
Match All
This is the representation of Procedure Target
Show Source
-
object
DeploymentProcedureTargetDetails
Defining Target for Deployment Procedure
Nested Schema : DeploymentProcedureTargetDetails
Type:
objectDefining Target for Deployment Procedure
Show Source
-
credentialReferences: array
CredentialReference
This is the representation of credential references.
-
targetName: string
Target NameExample:
host1.oracle.com -
targetType: string
Target TypeExample:
host
Nested Schema : CredentialReference
Type:
arrayThis is the representation of credential references.
Show Source
Nested Schema : items
Type:
Show Source
object-
credentialName: string
Represents credential nameExample:
EMGA -
credentialType: string
Represents type of the credentialExample:
NAMED -
owner: string
Represents owner of the credentialExample:
SYSMAN -
usage: string
Represents credential usageExample:
defaultHostCred
Nested Schema : items
Type:
arrayThe list of procedure variables
Show Source
-
Array of:
object DeploymentProcedureVariableSummary
This is the representation of Procedure Variable
Nested Schema : DeploymentProcedureVariableSummary
Type:
objectThis is the representation of Procedure Variable
Match All
This is the representation of Procedure Variable
Show Source
-
object
DeploymentProcedureVariableDetails
Defining Variable for Deployment Procedure
Nested Schema : DeploymentProcedureVariableDetails
Type:
objectDefining Variable for Deployment Procedure
Show Source
-
variableName: string
Displays Deployment Procedure varibale nameExample:
userId -
variableValue: string
Displays Deployment Procedure varibale valueExample:
10001
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
401 Response
Client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
404 Response
Resource not found or not authorized for access
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
Indicates that a required service is not available
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description